$(document).ready(function(){
	function show_error_msg(field_sel,error_msg){
		var error_message_html = '<span class="text_error_msg nodisplay">'+error_msg+'</span>';
		$(field_sel).next('.text_error_msg').remove();
		$(field_sel).after(error_message_html);
		$(field_sel).next('.text_error_msg').fadeIn(700);
	}
	
	function remove_error_msg(field_sel_remove){
		$(field_sel_remove).next('.text_error_msg').fadeOut(500,function (){
			$(field_sel_remove).next('.text_error_msg').remove();
		});
	}
	
	
	function validate_fullname(){
		var fullname_sel = '.fullname';
		var fullname_ele = $(fullname_sel);
		var fullname_ele_val = fullname_ele.val();
		if(fullname_ele_val.length <=5){
			show_error_msg(fullname_sel,'please enter fullname atleast 6 characters');
			return false;
		} else {
			remove_error_msg(fullname_sel);
			return true;
		}
	}
	
	function validate_password(){
		var password_sel = '.password';
		var password_ele = $(password_sel);
		var password_ele_val = password_ele.val();
		if(password_ele_val.length <=5){
			show_error_msg(password_sel,'please enter password atleast 6 characters');
			return false;
		} else {
			remove_error_msg(password_sel);
			return true;
		}
	}
	
	
	function validate_confirmpassword(){
		var confirmpassword_sel = '.confirmpassword';
		var confirmpassword_ele = $(confirmpassword_sel);
		var confirmpassword_ele_val = confirmpassword_ele.val();
		
		var password_ele_val = $('.password').val();
		
		if(confirmpassword_ele_val.length <=5){
			show_error_msg(confirmpassword_sel,'please enter confirm password atleast 6 characters');
			return false;
		} else if(password_ele_val!==confirmpassword_ele_val) {
			show_error_msg(confirmpassword_sel,'confirm password not matched with password');
			return false;
		} else{
			remove_error_msg(confirmpassword_sel);
			return true;
		}
	}
	
	
	function validate_emailaddress(){
		var email_sel = '.emailaddress';
		var emailaddress_ele = $(email_sel);
		var emailaddress_ele_val = emailaddress_ele.val();
		var email_regex = /^[a-zA-Z0-9_.]+\@[a-zA-Z0-9.]+\.[a-zA-Z0-9]{2,4}$/;
		if(!emailaddress_ele_val.match(email_regex)){
			show_error_msg(email_sel,'please enter valid email address');
			return false;
		} else {
			remove_error_msg(email_sel);
			return true;
		}
	}
	
	function validate_country(){
		var country_sel = '.country';
		var country_ele = $(country_sel);
		var country_val = $('.country option:selected').attr('value');
		if(country_val ==0 || typeof country_val==='undefined'){
			show_error_msg(country_sel,'please select country');
			return false;
		} else {
			remove_error_msg(country_sel);
			return true;
		}
	}
	
	function validate_gender(){
		var sel_val = $('input[name=gender]:checked').val();
		var error_sel = '.gender_female';
		if(typeof sel_val==='undefined' || sel_val==null){
			show_error_msg(error_sel,'please select gender');
			return false;
		} else {
			remove_error_msg(country_sel);
			return true;
		}
	}
	
	
	$('.country').blur(validate_country);
	$('.confirmpassword').blur(validate_confirmpassword);
	$('.password').blur(validate_password);
	$('.fullname').blur(validate_fullname);
	$('.emailaddress').blur(validate_emailaddress);
	
	$('form.validation_singupform').submit(function(){
		if(  validate_country() && validate_confirmpassword() && validate_password() && validate_fullname() && validate_emailaddress() && validate_gender() ){
			return true;
		} else {
			validate_country();
			validate_confirmpassword();
			validate_password();
			validate_fullname();
			validate_emailaddress();
			validate_gender();
			return false;
		}
		
	});
	
});